Bug 612109 - Various problems in the gridsite headers
Various problems in the gridsite headers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gridsite (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 06:38 EDT by Mattias Ellert
Modified: 2010-10-14 19:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: gridsite-1.5.19-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 19:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CERN Savannah 69632 None None None Never
CERN Savannah 69635 None None None Never

  None (edit)
Description Mattias Ellert 2010-07-07 06:38:07 EDT
Description of problem:

- gridsite headers lack multiple include protection and extern "C" declarations
- Header file gridsite-gacl.h includes prototype for static function

See upstream bug reports:

https://savannah.cern.ch/bugs/index.php?69632
https://savannah.cern.ch/bugs/index.php?69635

Version-Release number of selected component (if applicable):
gridsite-1.5.18-4

Additional info:

For the Fedora packaging - two of the subpackages have a double space in their package descriptions:

Summary:  Setuid gsexec  tools for gridsite
Summary:   Developers Documentation  for gridsite

And one of them ends with a comma:

Summary:  Clients to gridsite. htcp, htrm, htmv,
Comment 1 Fedora Update System 2010-09-28 12:47:13 EDT
gridsite-1.5.19-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.el4
Comment 2 Fedora Update System 2010-09-28 12:47:27 EDT
gridsite-1.5.19-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.fc14
Comment 3 Fedora Update System 2010-09-28 12:47:42 EDT
gridsite-1.5.19-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.el5
Comment 4 Fedora Update System 2010-09-28 12:47:59 EDT
gridsite-1.5.19-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.fc13
Comment 5 Steve Traylen 2010-09-28 12:50:02 EDT
In fact the 1.5.19-1 has a partial fix for this bug.

- gridsite headers lack multiple include protection and extern "C" declarations

is corrected with a local patch but 

- Header file gridsite-gacl.h includes prototype for static function

is still pending some clarification upstream.

I'll reopen this bug once it is close by the release system.

Steve.
Comment 6 Fedora Update System 2010-09-28 14:35:09 EDT
gridsite-1.5.19-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridsite'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.el4
Comment 7 Fedora Update System 2010-10-08 08:38:11 EDT
gridsite-1.5.19-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-10-14 14:23:39 EDT
gridsite-1.5.19-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-10-14 14:24:38 EDT
gridsite-1.5.19-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Steve Traylen 2010-10-14 14:43:06 EDT
https://savannah.cern.ch/bugs/index.php?69635

still stands.
Comment 11 Fedora Update System 2010-10-14 19:02:26 EDT
gridsite-1.5.19-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.